Chez oim, forum libreChez oim, forum libre

 


Pages: 1 2 [3] 4 5 6 ... 24   En bas

Auteur Sujet: Discussions autour de Wamp avec un de ses créateurs, Otomatic  (Lu 2984 fois)

alex

  • Administrateur
  • Dictionnaire ambulant
  • ********
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 18.097
  • Proprio officiel chez oim !
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #29 le: dimanche 25 novembre 2018, 09:59 »
le: dimanche 25 novembre 2018, 09:59

C'est quelle version commune qui est utilisée ? Ca peut pas le faire.
Regarde les DLL, c'est là qu'est mentionnée la version.




Je vais télécharger cette version 5.3.5 pour voir ça de prêt.
IP archivée

Otomatic

  • Observateur
  • Grand orateur
  • ***
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 226
  • Vieux geek assagi
      • Aviatechno
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #30 le: dimanche 25 novembre 2018, 10:02 »
le: dimanche 25 novembre 2018, 10:02

D'une version à l'autre, on a des ajouts, des modifications, des bug fix, des security fix, et ça se passe très souvent dans les modules, pas uniquement sur le moteur Apache ou PHP.
Il n'y a jamais de copies ou de liens à partir d'une version “unique”.
- Ce sont toujours les modules de la version Apache en cours qui sont chargés, pas ceux d'une autre version ou de la version d'avant.
- Ce sont toujours les dll de la version PHP en cours qui sont copiés ou “symlinkés” dans le dossier bin de la version d'Apache en cours.

La liste desdits fichiers dll est “unique” quelles que soient les version Apache et PHP utilisées et évolue avec les versions Apache et PHP, c'est d'ailleurs une des raisons des mise à jours Wampserver.
Par exemple, pour les fichiers icu*xx.dll xx peut valoir 38, 40, 42, 44, 46, 48 à 57 pour PHP de 5.3 à 5.6. 60 pour PHP 7.2, 61 à partir de 7.2.5, 62 à partir de 7.2.8, 63 à partir de 7.2.12 et 7.3RC6 et c'est aussi pourquoi certains addon nécessitent au moins une certaine version de Wampserver.
Le contenu du tableau $phpDllToCopy, pour Wampserver 3.1.4 est actuellement de 167 éléments :
Code
[0] => icudt63.dll
[1] => icuin63.dll
[2] => icuio63.dll
[3] => icule63.dll
[4] => iculx63.dll
[5] => icutest63.dll
[6] => icutu63.dll
[7] => icuuc63.dll
Les mêmes avec 62, 61, 60, 57 à 48, 46, 44, 42, 40, 38
[152] => libmysql.dll
[153] => libeay32.dll
[154] => libsasl.dll
[155] => libcrypto-1_1.dll
[156] => libssl-1_1.dll
[157] => libcrypto-1_1-x64.dll
[158] => libssl-1_1-x64.dll
[159] => libpq.dll
[160] => libssh2.dll
[161] => libsodium.dll
[162] => php5isapi.dll
[163] => php5nsapi.dll
[164] => ssleay32.dll
[165] => php5ts.dll
[166] => php7ts.dll
À chaque changement de version Apache ou PHP :
pour chaque nom de fichier de cette liste : {
- Le nom de fichier est-il un lien symbolique ou un fichier dans le dossier bin d'Apache ?
-- Si oui, il est supprimé (unlink)
- Existe-t-il un fichier de ce nom dans le dossier de la version PHP en cours ?
-- Si oui, il est copié ou symlinké dans le dossier bin d'Apache
}
IP archivée
« La vie sans musique est tout simplement une erreur, une fatigue, un exil. » Friedrich Nietzsche.
« Ce n'est pas parce qu'ils sont nombreux à avoir tort qu'ils ont forcément raison. » Coluche

alex

  • Administrateur
  • Dictionnaire ambulant
  • ********
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 18.097
  • Proprio officiel chez oim !
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #31 le: dimanche 25 novembre 2018, 10:09 »
le: dimanche 25 novembre 2018, 10:09

Ah ! J'ai eu peur, je me suis fait une frayeur.

Mais alors pourquoi copier ces fichiers (ou les lier) et pas simplement modifier les chemins ?
IP archivée

Otomatic

  • Observateur
  • Grand orateur
  • ***
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 226
  • Vieux geek assagi
      • Aviatechno
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #32 le: dimanche 25 novembre 2018, 10:23 »
le: dimanche 25 novembre 2018, 10:23

Mais alors pourquoi copier ces fichiers (ou les lier) et pas simplement modifier les chemins ?
Wampserver n'utilise aucun “chemin”.
IP archivée
« La vie sans musique est tout simplement une erreur, une fatigue, un exil. » Friedrich Nietzsche.
« Ce n'est pas parce qu'ils sont nombreux à avoir tort qu'ils ont forcément raison. » Coluche

alex

  • Administrateur
  • Dictionnaire ambulant
  • ********
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 18.097
  • Proprio officiel chez oim !
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #33 le: dimanche 25 novembre 2018, 10:31 »
le: dimanche 25 novembre 2018, 10:31

Ben si quand même, ils sont stockés dans des variables pour pointer correctement vers le bon dossier Apache et/ou PHP.

C'est où que je peux télécharger cette version 3.1.5 ? Je ne trouve que la 3.1.4
IP archivée

Otomatic

  • Observateur
  • Grand orateur
  • ***
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 226
  • Vieux geek assagi
      • Aviatechno
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #34 le: dimanche 25 novembre 2018, 10:55 »
le: dimanche 25 novembre 2018, 10:55

Ben si quand même, ils sont stockés dans des variables pour pointer correctement vers le bon dossier Apache et/ou PHP.
C'est où que je peux télécharger cette version 3.1.5 ? Je ne trouve que la 3.1.4
Les numéros des versions “en cours” sont uniquement dans wampmanager.conf, les chemins sont construits dans config.inc.php

3.1.5, c'est une mise à jour, pas une version complète. C'est dans la section update de Sourceforge et sur :
Wampserver update 3.1.5
IP archivée
« La vie sans musique est tout simplement une erreur, une fatigue, un exil. » Friedrich Nietzsche.
« Ce n'est pas parce qu'ils sont nombreux à avoir tort qu'ils ont forcément raison. » Coluche

alex

  • Administrateur
  • Dictionnaire ambulant
  • ********
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 18.097
  • Proprio officiel chez oim !
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #35 le: dimanche 25 novembre 2018, 10:59 »
le: dimanche 25 novembre 2018, 10:59

Ah ben voilà, on parle quand même de chemins, tu me rassures.

Merci pour le lien, je regarde ça de suite et je teste (en plus de TLSv1.3). :)





Messages du même membre fusionnés car compris dans le délai d'édition. (Vous avez 30 minutes pour éditer)

Ben merde, il ne m'a pas installé la 2.4.37 de Apache.
IP archivée

Otomatic

  • Observateur
  • Grand orateur
  • ***
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 226
  • Vieux geek assagi
      • Aviatechno
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #36 le: dimanche 25 novembre 2018, 11:29 »
le: dimanche 25 novembre 2018, 11:29

Ben merde, il ne m'a pas installé la 2.4.37 de Apache.
Les mises à jour, et les addon Apache, PHP, MySQL ou autres sont des trucs différents.
Il faut télécharger l'addon Apache 2.4.37 et, tant qu'à faire, la version qui vient juste d'être mise en place sur http://wampserver.aviatechno.net/ dans la section Apache.
Pourquoi télécharger cette “dernière” version ?
Parce que je viens de comprendre pourquoi chez certains, il y a eu des problèmes de chargement du module mos_ssl.so.

Les addon Apache 2.4.37 sont sortis le 23 octobre 2018 avec la version Apache 2.4.37 de chez Apachelounge du 22/10/2018

Apachelounge a sorti une nouvelle version le 21/11/2018, nommée toujours 2.4.37 et, je vous le donne en mille, quelle est la différence entre les deux :

21-November-2018 Changes with Apache 2.4.37

Apache Lounge changes:
  *) Upgraded Brotli to 1.0.7 from 1.0.6 (Changelog)
  *) Upgraded OpenSSL to 1.1.1a from 1.1.1 (Changelog)
  *) Upgraded Curl to 7.62.0 from 7.61.1 (Changelog)

Les addons apache 2.4.37 présents sur http://wampserver.aviatechno.net (et sourceforge) viennent d'être recompilés avec la version Apachelounge du 21/11/2018
IP archivée
« La vie sans musique est tout simplement une erreur, une fatigue, un exil. » Friedrich Nietzsche.
« Ce n'est pas parce qu'ils sont nombreux à avoir tort qu'ils ont forcément raison. » Coluche

alex

  • Administrateur
  • Dictionnaire ambulant
  • ********
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 18.097
  • Proprio officiel chez oim !
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #37 le: dimanche 25 novembre 2018, 12:53 »
le: dimanche 25 novembre 2018, 12:53

Allez zou, adopté ! :)
IP archivée

maximus23

  • Observateur
  • Pipelette invétérée
  • *******
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 2.201
  • Grand chevalier du mot de passe
      • ®Smf® Solutions
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #38 le: dimanche 25 novembre 2018, 13:06 »
le: dimanche 25 novembre 2018, 13:06

*) Upgraded Brotli to 1.0.7 from 1.0.6 (Changelog)  *) Upgraded OpenSSL to 1.1.1a from 1.1.1 (Changelog)  *) Upgraded Curl to 7.62.0 from 7.61.1 (Changelog)
Bonjour,

Donc c'est bien ce que j'avais noté sur leur forum anglais :)

C'est où que je peux télécharger cette version 3.1.5 ? Je ne trouve que la 3.1.4

J'ai ajouté un lien direct vers le site de Mr. Otomatic en plus il est dans le forum depuis belle lurette :)

IP archivée
Amitiés et à bientôt...
Have a nice day...

alex

  • Administrateur
  • Dictionnaire ambulant
  • ********
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 18.097
  • Proprio officiel chez oim !
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #39 le: dimanche 25 novembre 2018, 13:17 »
le: dimanche 25 novembre 2018, 13:17

Je le connais son site, mais y a pas de lien vers 3.1.5...

Par contre, quand la 2.4.37 de Apache est installé, il manque une règle de firewall.
A cette heure ci, c'est ça qui m'emmerde, pas moyen de me connecter en local. Même en créant les règles firewall.

La 2.4.33 ne pose pas de souci, mais impossible de me connecter en 2.4.37
Ca me pète les couilles, je vais tout foutre en l'air !
Je fais une pause de 5 minutes, ras le bol !
IP archivée

maximus23

  • Observateur
  • Pipelette invétérée
  • *******
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 2.201
  • Grand chevalier du mot de passe
      • ®Smf® Solutions
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #40 le: dimanche 25 novembre 2018, 13:21 »
le: dimanche 25 novembre 2018, 13:21

Je vais reprendre la version apache et tester :)
IP archivée
Amitiés et à bientôt...
Have a nice day...

alex

  • Administrateur
  • Dictionnaire ambulant
  • ********
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 18.097
  • Proprio officiel chez oim !
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #41 le: dimanche 25 novembre 2018, 13:25 »
le: dimanche 25 novembre 2018, 13:25

Firewall de merde ! :ga:
IP archivée

maximus23

  • Observateur
  • Pipelette invétérée
  • *******
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 2.201
  • Grand chevalier du mot de passe
      • ®Smf® Solutions
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #42 le: dimanche 25 novembre 2018, 13:35 »
le: dimanche 25 novembre 2018, 13:35

Moi j'ai toujours l'erreur pour le module SSL : httpd.exe: Syntax error on line 185 of F:/wamp64/bin/apache/apache2.4.37/conf/httpd.conf: Cannot load modules/mod_ssl.so into server: Le module sp\xe9cifi\xe9 est introuvable.

Alex nous sommes deux cas à part on a jamais rien comme les autres de simple  :blank:

Il va falloir que je regarde cela de plus près :)
IP archivée
Amitiés et à bientôt...
Have a nice day...

alex

  • Administrateur
  • Dictionnaire ambulant
  • ********
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 18.097
  • Proprio officiel chez oim !
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #43 le: dimanche 25 novembre 2018, 13:54 »
le: dimanche 25 novembre 2018, 13:54

Pour moi le SSL va bien, j'ai activé TLSv1.3 avec les ciphers qui vont avec et ça va bien.
Mais je peux pas me connecter...
IP archivée

Otomatic

  • Observateur
  • Grand orateur
  • ***
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 226
  • Vieux geek assagi
      • Aviatechno
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #44 le: dimanche 25 novembre 2018, 13:55 »
le: dimanche 25 novembre 2018, 13:55

Firewall de merde !
Chez moi, lorsque je bascule sur une nouvelle version Apache, jamais encore lancée, Windows me demande poliment :
Auriez-vous l’extrême amabilité de bien vouloir autoriser httpd.exe (Apache 2.4.37), ce à quoi je m'empresse de répondre Oui, pour le réseau local.
IP archivée
« La vie sans musique est tout simplement une erreur, une fatigue, un exil. » Friedrich Nietzsche.
« Ce n'est pas parce qu'ils sont nombreux à avoir tort qu'ils ont forcément raison. » Coluche
Pages: 1 2 [3] 4 5 6 ... 24   En haut
 

+ Réponse Rapide

Page générée en 0.211 secondes avec 25 requêtes.